package com.jsh.erp.datasource.entities;

import java.math.BigDecimal;

/**
 * 供应商/客户信息表实体类
 *
 */
public class Supplier {

    /** 主键 */
    private Long id;

    /** 供应商名称 */
    private String supplier;

    /** 供应商联系人 */
    private String contacts;

    /** 联系电话 */
    private String phoneNum;

    /** 电子邮箱 */
    private String email;

    /** 备注 */
    private String description;

    /** 是否系统自带 0==系统 1==非系统 */
    private Byte isystem;

    /** 类型 */
    private String type;

    /** 启用 */
    private Boolean enabled;

    /** 预收款 */
    private BigDecimal advanceIn;

    /** 期初应收 */
    private BigDecimal beginNeedGet;

    /** 期初应付 */
    private BigDecimal beginNeedPay;

    /** 累计应收 */
    private BigDecimal allNeedGet;

    /** 累计应付 */
    private BigDecimal allNeedPay;

    /** 传真 */
    private String fax;

    /** 手机 */
    private String telephone;

    /** 地址 */
    private String address;

    /** 纳税人识别号 */
    private String taxNum;

    /** 开户行 */
    private String bankName;

    /** 账号 */
    private String accountNumber;

    /** 税率 */
    private BigDecimal taxRate;

    /** 排序 */
    private String sort;

    /** 操作员 */
    private Long creator;

    /** 租户id */
    private Long tenantId;

    /** 删除标记，0未删除，1删除 */
    private String deleteFlag;

    /** 供应商分级 */
    private String supplierLevel;

    /** 结算方式（0-周结, 1-现结/按单, 2-预付款, 3-月结） */
    private String settlementMethod;

    /** 账单周期天数（单位：天） */
    private Integer billingCycleDays;

    /** 采购对接人姓名 */
    private String procurementContact;

    /** 到货天数（单位：天） */
    private Integer deliverydays;

    /** 发票类型：0-普通发票, 1-增值税专用发票 */
    private String invoiceType;

    /** 合同附件存储路径 */
    private String contractUpload;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier == null ? null : supplier.trim();
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts == null ? null : contacts.trim();
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum == null ? null : phoneNum.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public Byte getIsystem() {
        return isystem;
    }

    public void setIsystem(Byte isystem) {
        this.isystem = isystem;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public BigDecimal getAdvanceIn() {
        return advanceIn;
    }

    public void setAdvanceIn(BigDecimal advanceIn) {
        this.advanceIn = advanceIn;
    }

    public BigDecimal getBeginNeedGet() {
        return beginNeedGet;
    }

    public void setBeginNeedGet(BigDecimal beginNeedGet) {
        this.beginNeedGet = beginNeedGet;
    }

    public BigDecimal getBeginNeedPay() {
        return beginNeedPay;
    }

    public void setBeginNeedPay(BigDecimal beginNeedPay) {
        this.beginNeedPay = beginNeedPay;
    }

    public BigDecimal getAllNeedGet() {
        return allNeedGet;
    }

    public void setAllNeedGet(BigDecimal allNeedGet) {
        this.allNeedGet = allNeedGet;
    }

    public BigDecimal getAllNeedPay() {
        return allNeedPay;
    }

    public void setAllNeedPay(BigDecimal allNeedPay) {
        this.allNeedPay = allNeedPay;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax == null ? null : fax.trim();
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone == null ? null : telephone.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getTaxNum() {
        return taxNum;
    }

    public void setTaxNum(String taxNum) {
        this.taxNum = taxNum == null ? null : taxNum.trim();
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber == null ? null : accountNumber.trim();
    }

    public BigDecimal getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort == null ? null : sort.trim();
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }

    public String getSupplierLevel() {
        return supplierLevel;
    }

    public void setSupplierLevel(String supplierLevel) {
        this.supplierLevel = supplierLevel == null ? null : supplierLevel.trim();
    }

    public String getSettlementMethod() {
        return settlementMethod;
    }

    public void setSettlementMethod(String settlementMethod) {
        this.settlementMethod = settlementMethod == null ? null : settlementMethod.trim();;
    }

    public Integer getBillingCycleDays() {
        return billingCycleDays;
    }

    public void setBillingCycleDays(Integer billingCycleDays) {
        this.billingCycleDays = billingCycleDays;
    }

    public String getProcurementContact() {
        return procurementContact;
    }

    public void setProcurementContact(String procurementContact) {
        this.procurementContact = procurementContact == null ? null : procurementContact.trim();;
    }

    public Integer getDeliverydays() {
        return deliverydays;
    }

    public void setDeliverydays(Integer deliverydays) {
        this.deliverydays = deliverydays;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType == null ? null : invoiceType.trim();;
    }

    public String getContractUpload() {
        return contractUpload;
    }

    public void setContractUpload(String contractUpload) {
        this.contractUpload = contractUpload;
    }
}